Which version of pc suite is required for ..?

Closed
aiju - Aug 27, 2010 at 02:42 AM
 Blocked Profile - Aug 27, 2010 at 05:34 AM
Hello,


nokia 5130 2c ..is 7.0.7.0 enough.......?

1 reply

Blocked Profile
Aug 27, 2010 at 05:34 AM
Hi there,

All versions from date of release of handset is compatible for mobile,the newest version you install is better,

Thanks
0